Home//
REST API Reference
/- List calls with transcripts
List all calls
Get a call
Get call recording by call id
Get call transcript by call id
Register a Fin Voice call
Collect Fin Voice call by ID
Collect Fin Voice call by external ID
Collect Fin Voice call by phone number
Collect Fin Voice calls by conversation ID
Call
Call Transcript Turn
List calls with transcrip...
Retrieve calls by a list of conversation ids and include transcripts when available. A maximum of 20 conversation_ids can be provided. If none are provided or more than 20 are provided, a 400 error is returned.
Requires the read_conversations OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/calls/search
- The european API serverhttps://api.eu.intercom.io/calls/search
- The australian API serverhttps://api.au.intercom.io/calls/search
curl -i -X POST \
https://api.intercom.io/calls/search \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"conversation_ids": [
"64619700005694",
"64619700005695"
]
}'Response
- string
- integer
{ "type": "list", "data": [ { … } ] }